Skip to Content

I’ve been working on an upgrade from 7.1 to 7.2.  Strangely enough this was my first upgrade and it’s gone fairly well so far. A few little issues have cropped up, but nothing really major, until we got the configuration into PURE mode.

In the 7.1 version we have the following query:

// determine the change number of the last modification of deleted entries in *Old* entries: MXIV_OENTRIES

var oChangeNumber = UserFunc.uSelect(“select max(cast(Changenumber as int)) from mxiv_oentries where mskey = ” + mskey + ” and cast(Changenumber as int) > ” + previousChangeNumber + ” and ChangeName = ‘Delete'”);

Which we have moved into 7.2 as:

var oChangeNumber = UserFunc.uSelect(“select max(cast(Changenumber as int)) from idmv_ovalue_basic_allwhere mskey = ” + mskey + ” and cast(Changenumber as int) > ” + previousChangeNumber + ” and ChangeName = ‘Delete'”);

However ChangeName does not exist in idmv_ovalue_basic_all or even in idmv_ovalue_simple_all, however we did notice a ChangeType column which can have a value of 1 or 0.

As we suspected, ChangeType is the new ChangeName, and was replaced with a numeric value. There is a table that defines these values, called mxi_changetype which has the following values:

CHG_ID     CHANGENAME

———- ————————————————–

3          Disable

4          Enable

0          Modify

1          Delete

2          Insert

So we can then take the old query from the script: (Bold added for emphasis)

var oChangeNumber = UserFunc.uSelect(“select max(cast(Changenumber as int)) from idmv_ovalue_basic_all where mskey = ” + mskey + and cast(Changenumber as int) > ” + previousChangeNumber + ” and ChangeName = ‘Delete’“);

And replace it with:

var oChangeNumber = UserFunc.uSelect(“select max(cast(Changenumber as int)) from idmv_ovalue_basic_all where mskey = ” + mskey + and cast(Changenumber as int) > ” + previousChangeNumber + ” and ChangeType = 1“);

Another thing that we found was that 7.2 SP7 is completely incompatible with the latest version of IE at this writing which is IE 10, even in compatibility mode.  Please make sure that you use nothing later than IE 9 until such time as the new version of IE appears in the PAM for SAP IDM.

To report this post you need to login first.

1 Comment

You must be Logged on to comment or reply to a post.

Leave a Reply